import Head from "next/head";
import { Montserrat } from "next/font/google";

import "../styles/globals.css";

const montserrat = Montserrat({ weight: "400", subsets: ["latin"] });

function MyApp({ Component, pageProps }) {
  return (
    <div className={montserrat.className}>
      <Head>
        <link
          rel="apple-touch-icon"
          sizes="180x180"
          href="/apple-touch-icon.png"
        />
        <link
          rel="icon"
          type="image/png"
          sizes="32x32"
          href="/favicon-32x32.png"
        />
        <link
          rel="icon"
          type="image/png"
          sizes="16x16"
          href="/favicon-16x16.png"
        />
        <link rel="manifest" href="/site.webmanifest" />
        <link
          rel="mask-icon"
          href="/safari-pinned-tab.svg"
          color="#5bbad5"
        />
        <meta name="msapplication-TileColor" content="#da532c" />
        <meta name="theme-color" content="#ffffff" />
        <title>nextjs from React in Depth</title>
      </Head>
      <Component {...pageProps} />
    </div>
  );
}

export default MyApp;
